Gradle 4.8.1 发布,项目自动化构建工具

Gradle 4.8.1 已发布,主要解决了以下 6 个问题:

  • #5740: Maven Central 不再支持旧版 TLS 实现。如果 Gradle 在 JDK 7 上运行,会使依赖关系解析失败。
  • #5701: Gradle 4.8 破坏了 artifactory 和 bintray 插件的兼容性。
  • #5708: 在使用 project.tasks.withType()时,Gradle 4.8 有时会失败,并抛出 ConcurrentModificationException 。
  • #5729: 依赖关系解析引擎有时会抛出 “Unexpected parent dependency” 报错,这在 Gradle 4.8 中变得更加明显。
  • #5722: Gradle 4.8 破坏了 SourceSet 覆盖编译任务的目标目录的能力。
  • #5692: 在使用 dependencySubstitution 和 failOnVersionConflict 时,Gradle 4.8 不将其视为版本相等。

更多细节可查阅发行列表

Gradle 是一个基于 Apache Ant 和 Apache Maven 概念的项目自动化构建工具,支持依赖管理和多项目,类似 Maven,但比之简单轻便。它使用一种基于 Groovy 的特定领域语言来声明项目设置,而不是传统的 XML。

下载地址:

  • 发表于:
  • 原文链接https://www.oschina.net/news/97301/gradle-4-8-1-released
  • 如有侵权,请联系 yunjia_community@tencent.com 删除。

扫码关注云+社区

领取腾讯云代金券